%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

%define prefix	/usr/X11R6

Name:		xfce
Summary:	Lightweight desktop environment
Version:	3.8.18
Release:	2mdk

Source0:	%name-%version.tar.bz2
Source1:	xfce-startxfce
Patch0:		xfce-xinitrc-with-root-environment-support.patch.bz2

Group:		Graphical desktop/Other
URL:		http://www.xfce.org/
License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root

%if %buildfor9_2
BuildRequires:  XFree86-devel XFree86-libs 
BuildRequires:  gettext
BuildRequires:  libaudiofile-devel bzip2-devel
BuildRequires:  gdk-pixbuf-devel glib-devel gtk-devel
BuildRequires:  xpm-devel
BuildRequires:  libz-devel
%else
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs autoconf
BuildRequires:	automake diffutils file gawk gcc-cpp gettext
BuildRequires:	libaudiofile0-devel libbinutils2 libbzip2_1-devel
BuildRequires:	libgdk-pixbuf2-devel libglib1.2-devel libgtk+1.2-devel
BuildRequires:	libtermcap2 libxpm4-devel m4 mktemp popt rpm-build
BuildRequires:	texinfo zlib1
%endif
Requires:	xscreensaver, sox

%description
XFce author (Olivier FOURDAN) says:

XFce is a lightweight desktop environment for various UNIX systems.

The XFce project was first started because I needed a simple, light and
efficient environment for my Linux System. 

There are now a lot of good environments and interfaces for UNIX based
systems, but most are too heavy, or too expensive, or even both!  

I wanted something easy to use and configure, stable, fast, and, at last
but not least, visually appealing...  

I believe that the desktop environment should be made to increase user
productivity. Therefore, the goal is keep most system resources for the
applications, and not to consume all memory and CPU usage with the desktop
environment.

From version to version, XFce became more and more user friendly and easily
configurable. As XFce is made for the user, it has to be very simple to
configure. That's why everything is driven by the mouse, using buttons, drag
and drop, etc., and the configuration files are hidden from the user, although
it is plain text.

XFce 3 is based on GTK+, a free and powerful tool kit widely adopted by many
applications.

%prep

%setup -q -n %name-%version
%patch0 -p1

%build 
%configure --sysconfdir=%_sysconfdir/X11 \
	    --prefix=%prefix \
	    --datadir=%prefix/share \
	    --disable-dt \
	    --enable-gtk-engine=%_libdir/gtk/themes/engines/ \
	    --with-xinerama \
            --disable-arts --enable-taskbar         
	     

make CFLAGS="%optflags"

%install
rm -fr %buildroot
 
#install -m 0755 

make install DESTDIR=$RPM_BUILD_ROOT  
chmod 0755 %buildroot/%_sysconfdir/X11/xfce/Xclients
chmod 0755 %buildroot/%_sysconfdir/X11/xfce/xinitrc
chmod 0755 %buildroot/%_sysconfdir/X11/xfce/xsession

mv -f %buildroot//usr/bin/ %buildroot/%{prefix} 
install -m 0755 %SOURCE1 %buildroot/%{prefix}/bin/startxfce 
mv -f %buildroot/usr/share/man %buildroot/%{prefix}

##rm unneeded file
rm -rf %buildroot/%_libdir/gtk/themes/engines/libxfce.a
 
# Change default background
install -d -m 0755 %buildroot/%_sysconfdir/X11/xfce
echo "None" > %buildroot/%_sysconfdir/X11/xfce/xfbdrc

# wmsession support
install -d %buildroot/%_sysconfdir/X11/wmsession.d/
cat << EOF > %buildroot/%_sysconfdir/X11/wmsession.d/06XFce
NAME=XFce
ICON=xfce-wmsession.xpm
EXEC=%_prefix/X11R6/bin/startxfce
DESC="Lightweight desktop environment"
SCRIPT:
exec %prefix//bin/startxfce
EOF

%find_lang %name


%post
%make_session

   echo Note :
   echo You can now run the script xfce_setup to install xfce as the default
   echo desktop environment or start xfce using the script startxfce
   echo
   echo Important :
   echo If you are upgrading from a previous version of xfce, please run
   echo the script xfce_upgrade for each user running xfce as their desktop
   echo environment, to ensure backward compatibility.   

%postun
%make_session

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO 
%config(noreplace) %_sysconfdir/X11/wmsession.d/*
%dir %_sysconfdir/X11/xfce/
%config(noreplace) %_sysconfdir/X11/xfce/*
%prefix/bin/*
%doc %prefix/man/man1/*
%dir %prefix/share/xfce/
%prefix/share/xfce/COPYING
%prefix/share/xfce/XFce3.logo
%dir %prefix/share/xfce/backdrops/
%prefix/share/xfce/backdrops/*
%dir %prefix/share/xfce/cursors/
%prefix/share/xfce/cursors/*.dir
%prefix/share/xfce/cursors/*.pcf
%dir %prefix/share/xfce/fonts
%prefix/share/xfce/fonts/*
%dir %prefix/share/xfce/help/
%dir %prefix/share/xfce/help/html/
%doc %prefix/share/xfce/help/html/*.html
%dir %prefix/share/xfce/help/images/
%doc %prefix/share/xfce/help/images/*.jpg
%dir %prefix/share/xfce/help/html/stylesheet-images/
%doc %prefix/share/xfce/help/html/stylesheet-images/*
%dir %prefix/share/xfce/icons/
%prefix/share/xfce/icons/*
%dir %prefix/share/xfce/palettes/
%prefix/share/xfce/palettes/*
%dir %prefix/share/xfce/sounds/
%prefix/share/xfce/sounds/*
%dir %prefix/share/xfce/textures/
%prefix/share/xfce/textures/*
%_libdir/gtk/themes/engines/*


%changelog
* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.8.18-2mdk
- Fix buildrequires

* Sat Jul 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.8.18-1mdk 
From Charles A Edwards <eslrahc@bellsouth.net>
    - 3.8.18
    - set installation for %prefix
    - rm unneeded file
    - install images to /help/images rather than /help/html/images
    - add %post notification script
    - spec clean-up

* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 3.8.16-2mdk
- Rebuild

* Thu Apr 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.8.16-1mdk
- new release

* Fri Feb 08 2002 Davod BAUDENS <baudens@mandrakesoft.com> 3.8.14c-1mdk
- 3.8.14c

* Tue Nov 22 2001 David BAUDENS <baudens@mandrakesoft.com> 3.8.12b-2mdk
- Disable arts

* Tue Nov 22 2001 David BAUDENS <baudens@mandrakesoft.com> 3.8.12b-1mdk
- 3.8.12b
- Clean spec again...
- Reput right BuildRequires

* Tue Oct 16 2001 Yves Duret <yduret@mandrakesoft.com> 3.8.8-1mdk
- version 3.8.8
- recompiled against new libpng3
- reuploaded both rpm and srpm that were lost
- macros & rpmlint happier
- removes buildrequires on gcc (and why not sh too ??)

* Fri Aug 24 2001 David BAUDENS <baudens@mandrakesoft.com> 3.8.6-2mdk
- Fixed broken configuration and spec

* Thu Aug 23 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 3.8.6-1mdk
- Upgraded to 3.8.6

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.8.3-1mdk
- updated by Alexander Skwar <ASkwar@Linux-Mandrake.com> 

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 3.7.2-1mdk
- 3.7.2

* Mon Nov 27 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.3-1mdk
- 3.6.3

* Mon Nov 27 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.2-1mdk
- 3.6.2

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.1-2mdk
- Requires: sox

* Sun Nov 19 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6.1-1mdk
- 3.6.1

* Tue Nov 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-3mdk
- Make rpmlint happy

* Mon Nov 13 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-2mdk
- Build with glibc-2.2 & gcc-2.96

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.2-1mdk
- 3.5.2

* Mon Sep 26 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.1-1mdk
- 3.5.1

* Thu Aug 24 2000 David BAUDENS <baudens@mandrakesoft.com> 3.5.0-1mdk
- 3.5.0
- New config files
- Add packager tag
- Spec clean up

* Wed Aug 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.4.4-1mdk
- new and shiny version.
- no need to bzip2 and strip stuff (damiensck).
- remove the config patch.
- %%configure doesn't wanna pickup /usr/X11R6 for prefix

* Fri May 19 2000 dam's <damien@mandrakesoft.com> 3.3.2-4mdk
- Corrected stuff.

* Tue May 16 2000 dam's <damien@mandrakesoft.com> 3.3.2-3mdk
- added config file filter

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 3.3.2-2mdk
- added fndSession call

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2-1mdk
- Fix buid as user

* Fri Jan 21 2000 - David BAUDENS <baudens@mandrakesoft.com> - 3.2.5-1mdk
- 3.2.5
- Disable MandrakeSoft config files for this release
- Disable Requires for this release
- Use safe %%files
- Use %%{_tmppath} for BuildRoot

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Remove xfcedrake for 7.0

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.3

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add xfcedrake

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 3.2.2

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.2.0

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.1

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix paths in xfsoundrc.
- Anyone else notice the missing locale files, they are back now.
- Update file.list generation to use fine-lang.sh

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/o glib13

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add wa locales from pablo.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- New icons.

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix path problem

- 3.0.2
- Mandrake customisations (backgrounds, pixmap, menus).

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial RPM
